#!/usr/bin/rexx
conn=.dbus~connect("session") -- connect to the "session" bus
busName       ="org.rexxla.oorexx.demo.Hello"
objectPath    ="/org/rexxla/oorexx/demo/Hello"
o=conn~getObject(busName, objectPath)     -- get the DBus object

parse arg num1 num2		-- parse command line arguments
if num1="" then num1=12.345     -- supply a default
if num2="" then num2=10.01      -- supply a default
say num1"*"num2"="o~multiply(num1,num2)   -- use the multiply method
conn~close

::requires "dbus.cls"         -- get dbus support for ooRexx
